Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
phone "github.com/auth0/go-auth0/management/management/branding/phone"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &phone.ListPhoneTemplatesRequestParameters{
Disabled: management.Bool(
true,
),
}
client.Branding.Phone.Templates.List(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.templates.list({
disabled: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.templates.list({
disabled: true,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/branding/phone/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/branding/phone/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"templates": [
{
"content": {
"syntax": "<string>",
"from": "<string>",
"body": {
"text": "<string>",
"voice": "<string>"
}
},
"disabled": false,
"id": "<string>",
"channel": "<string>",
"customizable": true,
"tenant": "<string>"
}
]
}Get a list of phone notification templates
GET
https://{tenantDomain}/api/v2
/
branding
/
phone
/
templates
Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
phone "github.com/auth0/go-auth0/management/management/branding/phone"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &phone.ListPhoneTemplatesRequestParameters{
Disabled: management.Bool(
true,
),
}
client.Branding.Phone.Templates.List(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.templates.list({
disabled: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.templates.list({
disabled: true,
});
}
main();Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Whether the template is enabled (false) or disabled (true).
Response
The phone notification templates were retrieved.
Show child attributes
Show child attributes
Was this page helpful?
Send a test phone notification for the configured provider
Previous
Create a phone notification template
Next
⌘I